Bug 238289 - kernel panic on nvidia nforce4 systems where pata_amd is loaded
kernel panic on nvidia nforce4 systems where pata_amd is loaded
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-28 16:49 EDT by B.J. McClure
Modified: 2008-05-06 21:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:36:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci and lsmod (5.95 KB, text/plain)
2007-04-30 11:35 EDT, B.J. McClure
no flags Details

  None (edit)
Description B.J. McClure 2007-04-28 16:49:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.10) Gecko/20070409 CentOS/1.5.0.10-2.el5.centos Firefox/1.5.0.10

Description of problem:
On several Asus motherboards A8N-SLI using nfoce4 chipset the installation goes normally.  Install is to WD 160gig IDE drive. Grub starts the boot sequence in what appears to be normal fasion then kernel panic.  Cannot find /dev/root.

Rescue disk cannot find file system, paints garbage on the screen and drops to shell.  Running fdisk -l shows appropriate partitions.  f7t4 live cd runs normally but cannot find installed file system.  Again fdisk -l shows correct partitions.  Live cd loads pata_amd, sata_nv and libata.

Installed f7t4 can be mounted normally from centos 5 and all files seem to be normal.  Edited fstab to use /dev/sdx instead of LABEL with same result.  I have confirmed that f7 sees ide drive as sdc, centos sees it as hda which is to be expected.  sda and adb are sata2 drives in software raid1 config.

Booting from rescue disk I see pata_amd loaded.  Fact that neithe live cd or rescue can find file system suggests tio me that it is pata_amd/libata bug.

Version-Release number of selected component (if applicable):
all f7t3 and f7t4 kernels

How reproducible:
Always


Steps to Reproduce:
1.install to ide drive using nvidia nforce4 chipset
2.try to boot
3.

Actual Results:
kernel panic

Expected Results:
normal boot

Additional info:
Comment 1 B.J. McClure 2007-04-30 11:35:30 EDT
Created attachment 153803 [details]
lspci and lsmod
Comment 2 B.J. McClure 2007-05-09 13:20:04 EDT
Further testing:  Removed WD IDE drive and replaced with two Maxtor 160 gig SATA
drives.  Now machine has four identical sata drives attached to Nvidia sata
headers 1-4 on mainboard.  Drives attached to headers 1 & 2 are same raid1 as
before, Centos5.  Drives attached to header 3 & 4 unformatted unpartitioned. 
Attempt to install f7t4 from dvd fails, anaconda does not see either new sata
drive.  a /de/mapper is shown but one cannot see md0-md3 partitions.  Raid1
array and one new sata drive must be physically unplugged from mainboard in
order to install to remaining sata drive.  After install of f7t4 to drive
attached to #3 header it boots normally.  Reattaching two drives in raid1 array
and 4th sata drive the raid1 array boots normally(centos5).  f7t4 will boot if
sata #3 is selected from bios boot manager.  Have not been able to chain boot
from centos grub to f7 grub but that is another issue, or is it?  Bios sees sata
drives exactly according to the header they are attached to, f7 does not, e.g.,
f7 sees #3 sata as /dev/sda, #1 & #2 sata as /dev/sdc & /dev/sdd.  Also drive
order is intermittently altered by booting with external USB IDE drive attached
or USB thumb drive attached.  This is not always reproducible.
Comment 3 Bug Zapper 2008-04-03 20:21:02 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 21:36:05 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.